Gecode::Int::Sorted::TupleMaxIncExt< View > Class Template Reference

Extended Index comparison for ViewArray<Tuple>. More...

`#include <sortsup.hpp>`

## Public Member Functions

| TupleMaxIncExt (const ViewArray< View > &x0, const ViewArray< View > &z0)
bool | operator() (const int i, const int j)

## Protected Attributes

ViewArray< View > | x
ViewArray< View > | z

## Detailed Description

template<class View>
class Gecode::Int::Sorted::TupleMaxIncExt< View >

Extended Index comparison for ViewArray<Tuple>.

Checks whether for two indices i and j the first component of the corresponding viewtuples and the upper domain bound of is larger than the upper domain bound of

Definition at line 285 of file sortsup.hpp.

## Constructor & Destructor Documentation

## TupleMaxIncExt()

template<class View>

Gecode::Int::Sorted::TupleMaxIncExt< View >::TupleMaxIncExt | ( | const ViewArray< View > & | x0,
|  | const ViewArray< View > & | z0 )

inline

Definition at line 290 of file sortsup.hpp.

## Member Function Documentation

## operator()()

template<class View>

bool Gecode::Int::Sorted::TupleMaxIncExt< View >::operator() | ( | const int | i,
|  | const int | j )

inline

Definition at line 292 of file sortsup.hpp.

## Member Data Documentation

## x

template<class View>

ViewArray<View> Gecode::Int::Sorted::TupleMaxIncExt< View >::x

protected

Definition at line 287 of file sortsup.hpp.

## z

template<class View>

ViewArray<View> Gecode::Int::Sorted::TupleMaxIncExt< View >::z

protected

Definition at line 288 of file sortsup.hpp.

The documentation for this class was generated from the following file:

- gecode/int/sorted/sortsup.hpp